BALXPARSE(1)

NAME
balxparse - Barry Project's program to parse firmware ALX files.

SYNOPSIS
balxparse [-h][-i lang][-d path][-o file] [ALX files...]

DESCRIPTION

balxparse is a tool for loading XML data from the ALX files included with BlackBerry firmware updates. It is able to parse this data in multiple charsets / languages, as well as parsing the entire directory of ALX files.

OPTIONS

-h  Display a command help summary.

-i lang
    Specify the internationalization charset/language to use. By running balxparse with the -h option, a list of available languages is displayed.

-d path
    Specify the path to find all ALX files.

-o file
    Specify an OS filename (Platform.alx) to parse, without loading application and library dependencies.

AUTHOR
balxparse was initially written for the Barry project by Nicolas Vivien, with additional contributions from others over time.

SEE ALSO

http://www.netdirect.ca/barry